import { Subject } from "rxjs";
/**
 * Makes a Subject which can be used to send and receive post messages.
 * Note that this posts messages to a single `destinationWindow` but recieves
 * messages from any window.
 * @param thisWindow window of the current context.
 * @param destinationWindow window to post messages to.
 */
export declare function MakePostMessageSubject<T>(thisWindow: Window, destinationWindow: Window): Subject<T>;
