import * as React from "react";
import { ContentRef } from "@nteract/core";
import { WidgetModel } from "@jupyter-widgets/base";
import { CellId } from "@nteract/commutable";
interface JupyterWidgetData {
    model_id: string;
    version_major: number;
    version_minor: number;
}
interface Props {
    data: JupyterWidgetData;
    model: WidgetModel;
    id: CellId;
    contentRef: ContentRef;
}
/**
 * The WidgetDisplay takes a model_id, which is returned by the
 * display_data payload that is returned from the execution of a
 * cell containing an ipywidget. This model_id is used to retrieve
 * the initial model for the widget from the comms state in the
 * core state model.
 */
export declare class WidgetDisplay extends React.Component<Props> {
    static MIMETYPE: string;
    render(): JSX.Element;
}
declare const _default: import("react-redux").ConnectedComponentClass<typeof WidgetDisplay, Pick<Props, "id" | "data" | "contentRef"> & Props>;
export default _default;
