"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_redux_1 = require("react-redux");
const core_1 = require("@nteract/core");
const manager_1 = __importDefault(require("./manager"));
/**
 * The WidgetDisplay takes a model_id, which is returned by the
 * display_data payload that is returned from the execution of a
 * cell containing an ipywidget. This model_id is used to retrieve
 * the initial model for the widget from the comms state in the
 * core state model.
 */
class WidgetDisplay extends React.Component {
    render() {
        return (React.createElement(manager_1.default, { model: this.props.model, model_id: this.props.data.model_id, id: this.props.id, contentRef: this.props.contentRef }));
    }
}
WidgetDisplay.MIMETYPE = "application/vnd.jupyter.widget-view+json";
exports.WidgetDisplay = WidgetDisplay;
const mapStateToProps = (state, props) => {
    const { data: { model_id } } = props;
    return {
        model: core_1.selectors.modelById(state, { commId: model_id })
    };
};
exports.default = react_redux_1.connect(mapStateToProps, null)(WidgetDisplay);
