"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const base = __importStar(require("@jupyter-widgets/base"));
const controls = __importStar(require("@jupyter-widgets/controls"));
class WidgetManager extends base.ManagerBase {
    constructor(el) {
        super();
        this.el = el;
    }
    loadClass(className, moduleName, moduleVersion) {
        return new Promise(function (resolve, reject) {
            if (moduleName === "@jupyter-widgets/controls") {
                resolve(controls);
            }
            else if (moduleName === "@jupyter-widgets/base") {
                resolve(base);
            }
            else {
                return Promise.reject(`Module ${moduleName}@${moduleVersion} not found`);
            }
        }).then(function (module) {
            if (module[className]) {
                return module[className];
            }
            else {
                return Promise.reject(`Class ${className} not found in module ${moduleName}@${moduleVersion}`);
            }
        });
    }
    display_view(msg, view, options) {
        return Promise.resolve(view);
    }
    _get_comm_info() {
        return Promise.resolve({});
    }
    _create_comm(comm_target_name, model_id, data, metadata, buffers) {
        return Promise.resolve(null);
    }
    async create_view(model, options) {
        const managerModel = await this.new_model({
            model_id: options.model_id,
            model_name: model._model_name,
            model_module: model._model_module,
            model_module_version: model._module_version,
            view_name: model._view_name,
            view_module: model._view_module,
            view_module_version: model._view_module_version
        }, model);
        const WidgetView = await this.loadClass(managerModel.get("_view_name"), managerModel.get("_view_module"), managerModel.get("_view_module_version"));
        const widget = new WidgetView({
            model: managerModel,
            el: options.el || this.el
        });
        return widget;
    }
}
exports.WidgetManager = WidgetManager;
