"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
/**
 * Import the styles for jupyter-widgets. This overrides some of the
 * styles that jQuery applies to the widgets.
 */
require("@jupyter-widgets/base/css/index.css");
require("@jupyter-widgets/controls/css/labvariables.css");
require("@jupyter-widgets/controls/css/materialcolors.css");
require("@jupyter-widgets/controls/css/phosphor.css");
require("@jupyter-widgets/controls/css/widgets-base.css");
require("@jupyter-widgets/controls/css/widgets.css");
/**
 * Bring in the JavaScript and CSS for rendering the
 * widgets that require jQuery-UI.
 */
require("jquery-ui/themes/base/all.css");
require("jquery-ui/themes/base/core.css");
require("jquery-ui/themes/base/base.css");
require("jquery-ui/themes/base/theme.css");
class BackboneWrapper extends React.Component {
    constructor() {
        super(...arguments);
        this.created = false;
    }
    async componentDidUpdate() {
        const { model, manager, widgetContainerRef, model_id } = this.props;
        if (!this.created && manager) {
            this.created = true;
            try {
                const widget = await manager.new_widget_from_state_and_id(model.toJS(), model_id);
                const view = await manager.create_view(widget, undefined //no options
                );
                if (widgetContainerRef.current) {
                    manager.render_view(view, widgetContainerRef.current);
                }
            }
            catch (err) {
                throw err;
            }
        }
    }
    render() {
        return React.createElement("div", { ref: this.props.widgetContainerRef });
    }
}
exports.default = BackboneWrapper;
